bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#6536: 24.0.50; address@hidden@' again


From: Glenn Morris
Subject: bug#6536: 24.0.50; address@hidden@' again
Date: Tue, 29 Jun 2010 16:05:50 -0400
User-agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)

john ffitch wrote:

>   Today I also discovered on the other computer that you require a
> version of autoconf that is two versions beyond the OpenSuSE
> distribition.  I have installed autoconf from source on both machines.

You don't actually need to install or run autoconf, though you can if
you want. Running autoconf is almost certainly what led to the problem
in the first place. The version of configure generated by your
autoconf has conflicted with the version in the Emacs repository, so
you have not been getting updates.

If you do run autoconf, you will likely get these conflicts in future.
This is fine, so long as you watch out for it and deal with it.

> harvey:~/GNU_21/emacs/trunk> rm configure*
> harvey:~/GNU_21/emacs/trunk> bzr revert configure configure.in
> RN  configure.OTHER => configure
>  N  configure.in
> harvey:~/GNU_21/emacs/trunk> bzr status
>
> conflicts:
[...]

You seem to have got your checkout into a rather messed up state.
Some sequence of Bazaar commands will fix it, but I do not really know
what they are. Hopefully someone else can help you.

One thing you can try is just plain `bzr revert'.
Be careful with this command if you have deliberately made any changes
to the Emacs sources and wish to keep them.

When it is all fixed, you should have no other configure.OTHER etc
junk files, and `bzr status' should not report any conflicts.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]